> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-describe.md).

# namespaces describe

Describe one or more namespaces

## Synopsis

```shell
omics workbench namespaces describe [NAMESPACE_ID...]
```

## Description

Get details for one or more namespaces, fetching all available information for each namespace and printing the results to the console. This includes the namespace name, description, creation and update timestamps, and the users who created or last updated the namespace.

## Examples

Describe a single namespace

```shell
omics workbench namespaces describe bcd869ca-8a06-4426-a94d-43f9d91e937d
```

Describe multiple namespaces

```shell
omics workbench namespaces describe namespace-id-1 namespace-id-2
```

## Positional Arguments

### `NAMESPACE_ID`

The specific namespace ID to retrieve information for. The namespace ID can be retrieved from the [namespaces list](/products/command-line-interface/reference/workbench/namespaces-list.md) command. Specifying multiple namespace IDs will result in retrieving all namespaces requested.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/namespaces-describe.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
